Subject: [Simple] WGLC of draft-ietf-simple-msrp-cema-05

From: Ben Campbell <[email-masked]>
Date: Thu, 3 May 2012 16:52:50 -0500

This is a working group last call for draft-ietf-simple-msrp-cema-05.

We performed a previous WGLC on this draft last fall, and requested publication of revision 03.  Since then, the IESG review resulted in a significant rewrite of the security considerations section, as well as a few other changes. We want to confirm that the current text still reflects work group consensus.

Since this is a repeat last call, we will attempt a shortened review cycle. Please focus your review on the changes since revision 03, and send your comments to the list and the draft authors by the end of Friday, 11 May 2012. 

The current version is available at the following URL:

http://tools.ietf.org/html/draft-ietf-simple-msrp-cema-05

And here's a diff between 05 and 03:

http://tools.ietf.org/rfcdiff?difftype=--hwdiff&url1=draft-ietf-simple-msrp-cema-03.txt&url2=draft-ietf-simple-msrp-cema-05.txt

Thanks!

Ben.

---

From: <[email-masked]>
Date: Fri, 4 May 2012 08:20:26 +0200

Dear all,

I'm happy with the changes.
No additional comments.

Best Regards

Roland
-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Ben Campbell
Gesendet: Donnerstag, 3. Mai 2012 23:53
An: Simple WG
Cc: [email-masked] Chairs; [email-masked]
Betreff: [Simple] WGLC of draft-ietf-simple-msrp-cema-05

Thanks!

Ben.
_______________________________________________
Simple mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/simple

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 04 May 2012 10:06:57 -0400

Ben,

This generally looks good, but I found some editorial errors:

Something has gone wrong in the editing of section 6.4. The following 
paragraph now says the same thing twice:

    This document assumes that Middleboxes are able to modify the SDP
    address information associated with the MSRP media, and that they are
    able to modify the SDP address information associated with the MSRP
    media.

This is evolved from a paragraph that had two sentences saying 
complementary things, and the point made in that 2nd sentence has been lost.

In section 7.3: s/is use without/is used without/

In section 7.5:

    However, this relies on that the SDP signaling is
    integrity protected, which may not always be the case.

This isn't proper English. I suggest:

    However, this relies on SDP signaling being
    integrity protected, which may not always be the case.

Also in that section the following has English problems:

    Therefore, it addition to the authentication mechanisms defined in
    RFC 4975, it is RECOMMENDED that a CEMA-enabled MSRP endpoint also
    supports self-signed certificates together Certificate Management
    Service [RFC6072], to which it publishes its self-signed certificate
    and from which it fetches on demand the self-signed certificates of
    other endpoints.

I suggest:

s/it addition/in addition/
s/together/together with the/

In section 7.6:

    - MSRPS: Security Mechanisms that does not rely on trusted signaling
    such as name based authentication

s/that does not/that do not/

	Thanks,
	Paul

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 4 May 2012 21:26:59 +0200

Hi Paul,

> complementary things, and the point made in that 2nd sentence has been lost.

The 2nd sentence was removed based on IESG comments, but it seems like some copy/paste error has occured.

So, I suggest remvoing the text after comma.

------------

> In section 7.3: s/is use without/is used without/

I'll fix as suggested.

------------

>    integrity protected, which may not always be the case.

I'll fix as suggested.

------------

> s/together/together with the/

I'll fix as suggested.

------------

> s/that does not/that do not/

I'll fix as suggested.

------------

Thanks for the comments!

Regards,

Christer

---

From: Nancy Greene <[email-masked]>
Date: Mon, 7 May 2012 11:34:12 -0400

I also agree that this version is fine.

I have just one typo on top of the ones mentioned below:

In section 7.4.  TLS Usage with Middleboxes

   This is the main use case for the CEMA extension; the endpoints
   expect one or more Middlebox.

In the above, s/Middlebox/Middleboxes/ 

www.ericsson.com  - This Communication is Confidential. We only send and receive email on the basis of the term set out at www.ericsson.com/email_disclaimer  

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul Kyzivat
Sent: May-04-12 10:07 AM
To: [email-masked]
Subject: Re: [Simple] WGLC of draft-ietf-simple-msrp-cema-05

Ben,

Something has gone wrong in the editing of section 6.4. The following paragraph now says the same thing twice:

This is evolved from a paragraph that had two sentences saying complementary things, and the point made in that 2nd sentence has been lost.

In section 7.5:

I suggest:

In section 7.6:

	Thanks,
	Paul

On 5/3/12 5:52 PM, Ben Campbell wrote:
> http://tools.ietf.org/rfcdiff?difftype=--hwdiff&url1=draft-ietf-simple
> -msrp-cema-03.txt&url2=draft-ietf-simple-msrp-cema-05.txt
>
> Thanks!
>
> Ben.

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 7 May 2012 19:29:03 +0200

Hi Nancy,

I'll fix as suggested.

Thank You!

Regards,

Christer

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul Kyzivat
Sent: May-04-12 10:07 AM
To: [email-masked]
Subject: Re: [Simple] WGLC of draft-ietf-simple-msrp-cema-05

Ben,

In section 7.5:

I suggest:

In section 7.6:

        Thanks,
        Paul

---

From: Saúl Ibarra Corretgé <[email-masked]>
Date: Wed, 9 May 2012 10:09:13 +0200

I'm ok with the final version (I did discover some editorial glitches but they were all reported previously by Paul), no further comments.

Regards,

--
Saúl Ibarra Corretgé
AG Projects